Debian Bug report logs - #680512
unblock: isdnutils/1:3.25+dfsg1-1

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Rolf Leggewie <debian-bugs@rolf.leggewie.biz>

Date: Fri, 6 Jul 2012 13:30:01 UTC

Severity: normal

Done: Mehdi Dogguy <mehdi@dogguy.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bugs@rolf.leggewie.biz, Debian Release Team <debian-release@lists.debian.org>:
Bug#680512; Package release.debian.org. (Fri, 06 Jul 2012 13:30:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rolf Leggewie <debian-bugs@rolf.leggewie.biz>:
New Bug report received and forwarded. Copy sent to debian-bugs@rolf.leggewie.biz, Debian Release Team <debian-release@lists.debian.org>. (Fri, 06 Jul 2012 13:30:12 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Rolf Leggewie <debian-bugs@rolf.leggewie.biz>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: unblock: isdnutils/1:3.25+dfsg1-1
Date: Fri, 06 Jul 2012 21:26:34 +0800
[Message part 1 (text/plain, inline)]
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: freeze-exception

Dear Release Team,

I'm requesting a freeze exception for 3.25+dfsg1-1 of isdnutils

Quoting the RC-bug 680503 I just filed:

'In the past few months I had been working with upstream to drop
dfsg-nonfree bits from their tarball and make my life easier.
"git diff $dfsgbranch $upstreambranch|lsdiff" recently led me
to believe that the difference between upstream and what we were
shipping as the dfsg-tarball had essentially dwindled down to
insignificant bits such as dotfiles, etc, leaving upstream
dfsg-free.  This assumption turns out to be mistaken and we need
to ship 3.25 as dfsg, too, just like previous versions.'

I'm sorry about the inconvenience my neglect has caused.  I've
already prepared a dfsg-tarball for upload where I drop the same
files as we did in Debian up to upstream 3.22.

A regression in the maintainer scripts was reported today in bug
#679651 that I'd like to fix alongside.  Please see the attached
simple patch.  I'm reintroducing a cd-command to make sure the
following commands are executed in the correct context. When I
dropped it I had considered it as part of the dropped code.

Please let me know if you have any objections to shipping
the patch alongside the dfsg-fix.

Regards

Rolf
[0001-debian-init.d.functions-reintroduce-cd-command-lost-.patch (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#680512; Package release.debian.org. (Fri, 06 Jul 2012 14:09:42 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@dogguy.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 06 Jul 2012 14:09:42 GMT) Full text and rfc822 format available.

Message #10 received at 680512@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@dogguy.org>
To: Rolf Leggewie <debian-bugs@rolf.leggewie.biz>, 680512@bugs.debian.org
Subject: Re: Bug#680512: unblock: isdnutils/1:3.25+dfsg1-1
Date: Fri, 06 Jul 2012 15:32:54 +0200
On 06/07/12 15:26, Rolf Leggewie wrote:
> I'm requesting a freeze exception for 3.25+dfsg1-1 of isdnutils

Did you upload it?

-- 
Mehdi Dogguy مهدي الدڤي




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#680512; Package release.debian.org. (Fri, 06 Jul 2012 14:18:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rolf Leggewie <debian-bugs@rolf.leggewie.biz>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 06 Jul 2012 14:18:06 GMT) Full text and rfc822 format available.

Message #15 received at 680512@bugs.debian.org (full text, mbox):

From: Rolf Leggewie <debian-bugs@rolf.leggewie.biz>
To: Mehdi Dogguy <mehdi@dogguy.org>
Cc: 680512@bugs.debian.org
Subject: Re: Bug#680512: unblock: isdnutils/1:3.25+dfsg1-1
Date: Fri, 06 Jul 2012 22:12:16 +0800
Mehdi,

thank you for the quick reply.

On 06.07.2012 21:32, Mehdi Dogguy wrote:
> On 06/07/12 15:26, Rolf Leggewie wrote:
>> I'm requesting a freeze exception for 3.25+dfsg1-1 of isdnutils
> Did you upload it?

Not yet.  I wanted to hear first if it's going to be "slimmed-down
dfsg-tarball and no other changes" or "slimmed-down dfsg-tarball plus
patch for 679651 that I attached in my original report".

Regarding your question in bug 680503, are things clear now?  Some files
will need to be dropped from the current upstream tarball to create a
dfsg-tarball again.  I had mistakenly assumed this was no longer the case.

Regards

Rolf




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#680512; Package release.debian.org. (Fri, 06 Jul 2012 14:18:25 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@dogguy.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Fri, 06 Jul 2012 14:18:25 GMT) Full text and rfc822 format available.

Message #20 received at 680512@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@dogguy.org>
To: Rolf Leggewie <debian-bugs@rolf.leggewie.biz>
Cc: 680512@bugs.debian.org
Subject: Re: Bug#680512: unblock: isdnutils/1:3.25+dfsg1-1
Date: Fri, 06 Jul 2012 16:16:28 +0200
On 06/07/12 16:12, Rolf Leggewie wrote:
> Mehdi,
>
> thank you for the quick reply.
>
> On 06.07.2012 21:32, Mehdi Dogguy wrote:
>> On 06/07/12 15:26, Rolf Leggewie wrote:
>>> I'm requesting a freeze exception for 3.25+dfsg1-1 of isdnutils
>> Did you upload it?
>
> Not yet.  I wanted to hear first if it's going to be "slimmed-down
> dfsg-tarball and no other changes" or "slimmed-down dfsg-tarball
> plus patch for 679651 that I attached in my original report".
>
> Regarding your question in bug 680503, are things clear now?  Some
> files will need to be dropped from the current upstream tarball to
> create a dfsg-tarball again.  I had mistakenly assumed this was no
> longer the case.
>

In any case, we would need a debdiff between the current version in
unstable and the one you want to upload (thus, avoid any ambiguity about
the intended changes). Could you please provide that?

The patch you attached looks okay though. I'll wait for the debdiff to
make a decision.

Regards,

-- 
Mehdi Dogguy مهدي الدڤي
http://dogguy.org/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#680512; Package release.debian.org. (Mon, 09 Jul 2012 17:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rolf Leggewie <debian-bugs@rolf.leggewie.biz>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Mon, 09 Jul 2012 17:15:04 GMT) Full text and rfc822 format available.

Message #25 received at 680512@bugs.debian.org (full text, mbox):

From: Rolf Leggewie <debian-bugs@rolf.leggewie.biz>
To: Mehdi Dogguy <mehdi@dogguy.org>
Cc: 680512@bugs.debian.org
Subject: Re: Bug#680512: unblock: isdnutils/1:3.25+dfsg1-1
Date: Tue, 10 Jul 2012 01:11:20 +0800
Hello,

I've had a fair bit of trouble to get the VERY brittle net connection
here to successfully complete the upload of the sizeable isdnutils
package.  I believe it's complete now but it took me a while.

I did not provide a debdiff here, I am not sure it makes much sense. 
You've already seen the patch and ACK'd it.  On top of that is the
changelog patch which should be unspectacular.  The sizeable rest would
have been a bunch of dropped files.  Instead, I now made the upload to
unstable.  Feel free to grab it from there and inspect it.  Thank you.

Regards

Rolf




Reply sent to Mehdi Dogguy <mehdi@dogguy.org>:
You have taken responsibility. (Mon, 09 Jul 2012 21:51:26 GMT) Full text and rfc822 format available.

Notification sent to Rolf Leggewie <debian-bugs@rolf.leggewie.biz>:
Bug acknowledged by developer. (Mon, 09 Jul 2012 21:51:26 GMT) Full text and rfc822 format available.

Message #30 received at 680512-done@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@dogguy.org>
To: Rolf Leggewie <debian-bugs@rolf.leggewie.biz>, 680512-done@bugs.debian.org
Subject: Re: Bug#680512: unblock: isdnutils/1:3.25+dfsg1-1
Date: Mon, 09 Jul 2012 23:40:34 +0200
On 07/09/2012 07:11 PM, Rolf Leggewie wrote:
> Hello,
> 
> I've had a fair bit of trouble to get the VERY brittle net
> connection here to successfully complete the upload of the sizeable
> isdnutils package.  I believe it's complete now but it took me a
> while.
> 
> I did not provide a debdiff here, I am not sure it makes much sense.
>  You've already seen the patch and ACK'd it.  On top of that is the 
> changelog patch which should be unspectacular.  The sizeable rest
> would have been a bunch of dropped files.  Instead, I now made the
> upload to unstable.  Feel free to grab it from there and inspect it.
> Thank you.
> 

Unblocked (and set required days for migration to 15... due to the diff
size).

Regards,

-- 
Mehdi Dogguy مهدي الدڤي
http://dogguy.org/




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 07 Aug 2012 07:26:41 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 15:06:48 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.